<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "parent rule pro_01: ZOOM[0.0-0.7x)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.7"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[0.54-0.55x) zoom_stop SCENE_CHANGE w+t">
            <condition name = "ZOOM_RATIO" min = "0.54" max = "0.55"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <condition name = "SCENE_CHANGE" value= "1"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule pro_02: ZOOM[0.7-1.0x)">
        <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
        <rule name = "child rule pro_01: ZOOM[0.7-1.0x)zoom_stop">
            <condition name = "ZOOM_RATIO" min = "0.7" max = "1.0"/>
            <condition name = "ZOOM_STATUS" value = "1"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule pro_03: ZOOM[1.0-2.0x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[1.0-2.0x) zoom_stop SCENE_CHANGE w+t">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "1.1"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <condition name = "SCENE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule pro_04: ZOOM[2.0-2.6x)">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "2.6"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>
        <rule name = "child rule: ZOOM[2.0-2.01x) zoom_stop SCENE_CHANGE w+t">
            <condition name = "ZOOM_RATIO" min = "2.0" max = "2.01"/>
            <condition name = "ZOOM_STATUS"  value = "1"/>
            <condition name = "SCENE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule pro_05: ZOOM[2.6-10.1x) t+w w true">
        <condition name = "ZOOM_RATIO" min = "2.6" max = "10.1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule pro_02: ZOOM[2.6-10.1) lux_index > 400.0 w true">
            <condition name = "ZOOM_RATIO" min = "2.6" max = "10.1"/>
            <condition name = "LUX_INDEX" min = "400.0" max = "9999.0" hysteresis_min = "50.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "child rule : ZOOM[2.6-10.1) lux_index > 400.0 dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
        <rule name = "child rule pro_03: ZOOM[2.6-10.1) lux_index < 400.0 OBJECT_DISTANCE < 400 w true">
            <condition name = "ZOOM_RATIO" min = "2.6" max = "10.1"/>
            <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "50.0"/>
            <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "child rule : ZOOM[2.6-10.1) lux_index < 400.0 OBJECT_DISTANCE < 400 dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
        <rule name = "child rule pro_04: ZOOM[2.6-10.1) lux_index < 400.0 OBJECT_DISTANCE > 600 T true">
            <condition name = "ZOOM_RATIO" min = "2.6" max = "10.1"/>
            <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "50.0"/>
            <condition name = "OBJECT_DISTANCE" min = "600.0" max = "9999.0" hysteresis_min = "200.0"/>
            <outState>
                <camera name = "tele" prev = "true"/>
            </outState>
            <rule name = "child rule : ZOOM[2.6-10.1) lux_index < 400.0 OBJECT_DISTANCE > 600 dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "tele" prev = "true"/>
                    <camera name = "wide"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "parent rule pro_06: ZOOM[10.1-50.0x)">
        <condition name = "ZOOM_RATIO" min = "10.1" max = "50.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
</MultiCameraConfigTable>
